AutoCAD 2004/2005/2006

AutoCAD 2004/2005/2006

Reply
New Member
msykes
Posts: 1
Registered: ‎04-09-2004
Message 1 of 9 (113 Views)

Controling Draworder

113 Views, 8 Replies
04-09-2004 07:20 AM
Just a suggestion, but would it be possible to establish a layer draworder control similar to what you see in photo manipulation software such as Corel or Adobe where the layer stacking is set (and held) by its position in the list. We are continually having to reorder our drawings. At the least is it possible to have the draworder stay constant instead of always resetting the last edited item to the front.
Distinguished Contributor
trathbun
Posts: 166
Registered: ‎11-17-2003
Message 2 of 9 (113 Views)

Re: Controling Draworder

04-10-2004 10:19 AM in reply to: msykes
Amen to that suggestion. That's the way I thought draworder should work also. Has anyone written a lisp routine to do this ?

Thanks.
Tim Rathbun
Active Contributor
Trey Monsour
Posts: 30
Registered: ‎04-13-2004
Message 3 of 9 (113 Views)

Re: Controling Draworder

04-16-2004 09:12 AM in reply to: msykes
Let's be clear on one thing... I don't want to have to use the normal layer dialog sorting to order the layers for draworder purposes... but if they add a "Draworder Manager" that let's you set draworder by color, layer, entity, etc... and order them within that function, THAT would be incredible.
*Terry W. Dotson
Message 4 of 9 (113 Views)

Re: Controling Draworder

04-18-2004 03:50 PM in reply to: msykes
Trey Monsour wrote: > Let's be clear on one thing... I don't want to have to use the normal > layer dialog sorting to order the layers for draworder purposes... > but if they add a "Draworder Manager" that let's you set draworder by > color, layer, entity, etc... and order them within that function, > THAT would be incredible. You know, I'm *sure* that something like that could have been included in 2005, if only ... Terry
Distinguished Contributor
patrick_aps
Posts: 924
Registered: ‎10-27-2003
Message 5 of 9 (113 Views)

Re: Controling Draworder

04-19-2004 04:48 AM in reply to: msykes
Yeah, then draworder will become just a normal property like width or color. Good thinking !
Most of the people wil then draw with draworder "bylayer"
the Layer dialogue would have a new column "draworder" (on witch you can sort if you need to edit this) and the Plot Styles then would also be albe to manage this, because perhaps it's mor eays to work with Layer0 on tob, but on the plot, Layer2 should be plotted "on top"

Just dreaming aloud....
Active Contributor
Trey Monsour
Posts: 30
Registered: ‎04-13-2004
Message 6 of 9 (113 Views)

Re: Controling Draworder

04-19-2004 06:40 AM in reply to: msykes
I'm sure there are a lot of ways you can do it, and everyone has their own way of drawing (which would play a large role in how they would want draworder to work. That's why I suggested a draworder manager, where you could just do it however you wanted... not just bylayer, bycolor, by entity, by creation order, etc... When the AUGI comes back up, maybe we all should put in requests for something like this on the wish list.
*Lawrence Stamp
Message 7 of 9 (113 Views)

Re: Controling Draworder

04-20-2004 07:10 AM in reply to: msykes
Great Idea Terry! Hint :-) Larry "Terry W. Dotson" wrote in message news:40830621$1_1@newsprd01... > Trey Monsour wrote: > > > Let's be clear on one thing... I don't want to have to use the normal > > layer dialog sorting to order the layers for draworder purposes... > > but if they add a "Draworder Manager" that let's you set draworder by > > color, layer, entity, etc... and order them within that function, > > THAT would be incredible. > > You know, I'm *sure* that something like that could have been included > in 2005, if only ... > > Terry
Contributor
Siem Eikelenboom
Posts: 24
Registered: ‎04-19-2004
Message 8 of 9 (113 Views)

Re: Controling Draworder

04-20-2004 03:07 PM in reply to: msykes
In 1999 I wrote a little lisproutine called Layorder.lsp that asks you to select an object and brings that whole layer to the front or sends it to the back. Actually it's not for free: 50 euro's or 60 dollars, but as I am in a very good mood I give you the source code, on the sole condition that you don't change the copyright notice:

;LAYORDER
;Sends all objects on a selected layer to the front or back.
(prompt "\nLayOrder (c) 1999-2003 IDEOMA intelligent systems b.v.")
(prompt "\nSends all objects on the selected layer to the front or back.")
(defun c:layorder ()
(setvar "cmdecho" 0)
(initget "Front Back")
(setq
frobac (getkword "\nMove layer to Back/: ")
frobac (if frobac frobac "Front")
layorder_max (if layorder_max layorder_max 500)
xx (prompt "\nPress Enter for the current layer")
en (car(entsel))
la (if en (cdr(assoc 8 (entget en)))(getvar "clayer"))
ss (ssget "x" (list (cons 8 la)))
)
(if (> (sslength ss) layorder_max)
(prompt (strcat "\n" (itoa (sslength ss)) " objects on this layer. (Max " (itoa layorder_max) ")"))
(progn
(command "draworder" ss "" frobac)
(prompt (strcat "\n" (itoa (sslength ss)) " objects on layer " la " moved to " frobac "."))
))
(princ)
)
(prompt "\nCommand LAYORDER added.")(princ)
Contributor
Siem Eikelenboom
Posts: 24
Registered: ‎04-19-2004
Message 9 of 9 (113 Views)

Re: Controling Draworder

04-20-2004 03:11 PM in reply to: msykes
Sorry, I just discoverd that I can attach files, so here it comes.
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.